<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns="http://www.w3.org/1999/xhtml">

<head>
    <title>Events</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">

    <link th:href="@{/libs/bootstrap/css/bootstrap.min.css}" rel="stylesheet">
    <link th:href="@{/css/table.css}" rel="stylesheet">
    <link th:href="@{/css/main.css}" rel="stylesheet">
</head>

<body>

<div th:insert="navbar_menu :: navbar"></div>

<div class="container">
    <div class="card">
        <div class="card-header bg-primary text-light">
            <strong>Events</strong>
        </div>
        <div class="card-body">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="table-responsive">
                            <form class="delete-form" th:action="@{/event}" method="post">
                                <table class="table table-bordered table-hover">
                                    <thead>
                                    <tr>
                                        <th>Event Title</th>
                                        <th>Event Type</th>
                                        <th>Start date</th>
                                        <th>End date</th>
                                        <th class="text-center">Action</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="event : ${events}">
                                        <td th:text="${event.eventTitle}"></td>
                                        <td th:text="${event.eventType}"></td>
                                        <td th:text="${event.startDate}"></td>
                                        <td th:text="${event.endDate}"></td>
                                        <td align="center">
                                            <button type="submit" th:value="'/' + ${event.id} + '/bets'"
                                                    class="btn btn-primary delete-btn">
                                                Bets
                                            </button>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script th:src="@{/libs/jQuery/jquery.js}"></script>
<script th:src="@{/libs/bootstrap/js/bootstrap.min.js}"></script>
<script th:src="@{/js/main.js}"></script>

</body>

</html>
